Bulk remove OpAMP collectors

Base URL
https://{kibana_url}
  • POST /api/fleet/agents/bulk_remove_collectors
Auth

Remove multiple OpAMP collectors from the Fleet agents list. Marks the collectors as unenrolled. This action does not invalidate API keys, so collectors can reconnect on their own.

Required authorization

Privileges fleet-agents-all

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

agents union string[] | string required
dryRun boolean
includeInactive boolean

When passing collectors by KQL query, also removes inactive collectors

Responses

Successful response

application/json
Any of:
actionId string required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}